Bug 692854 (CVE-2011-1553) - CVE-2011-1553 t1lib: Use-after-free via crafted Type 1 font
Summary: CVE-2011-1553 t1lib: Use-after-free via crafted Type 1 font
Keywords:
Status: NEW
Alias: CVE-2011-1553
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110328,reported=20110331,sou...
Depends On: 679734 772899 772900 772901 773177 773178 773180 773183 773184 845624 984476
Blocks: 734178
TreeView+ depends on / blocked
 
Reported: 2011-04-01 12:09 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0062 normal SHIPPED_LIVE Moderate: t1lib security update 2012-01-25 02:14:35 UTC
Red Hat Product Errata RHSA-2012:0137 normal SHIPPED_LIVE Moderate: texlive security update 2012-02-15 21:19:33 UTC
Red Hat Product Errata RHSA-2012:1201 normal SHIPPED_LIVE Moderate: tetex security update 2012-08-23 18:55:35 UTC

Description Jan Lieskovsky 2011-04-01 12:09:54 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1553 to
the following vulnerability:

Use-after-free vulnerability in t1lib 5.1.2 and earlier, as used in
Xpdf before 3.02pl6 and other products, allows remote attackers to
cause a denial of service (application crash) via a PDF document
containing a crafted Type 1 font that triggers an invalid memory
write, a different vulnerability than CVE-2011-0764.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1553
[2] http://www.securityfocus.com/archive/1/archive/1/517205/100/0/threaded
[3] http://www.toucan-system.com/advisories/tssa-2011-01.txt
[4] http://www.foolabs.com/xpdf/download.html
[5] http://www.kb.cert.org/vuls/id/MAPG-8ECL8X
[6] http://www.kb.cert.org/vuls/id/376500
[7] http://securitytracker.com/id?1025266
[8] http://secunia.com/advisories/43823
[9] http://www.vupen.com/english/advisories/2011/0728

Comment 2 Huzaifa S. Sidhpurwala 2012-01-10 09:45:57 UTC
Created t1lib tracking bugs for this issue

Affects: epel-5 [bug 679734]
Affects: fedora-all [bug 772899]

Comment 8 errata-xmlrpc 2012-01-24 21:17:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0062 https://rhn.redhat.com/errata/RHSA-2012-0062.html

Comment 9 Fedora Update System 2012-01-27 19:19:45 UTC
t1lib-5.0.2-2 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-01-27 19:21:34 UTC
t1lib-5.1.1-9.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-01-28 03:23:26 UTC
t1lib-5.1.2-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-01-28 03:28:32 UTC
t1lib-5.1.2-9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2012-02-15 16:20:55 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0137 https://rhn.redhat.com/errata/RHSA-2012-0137.html

Comment 14 errata-xmlrpc 2012-08-23 14:58:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1201 https://rhn.redhat.com/errata/RHSA-2012-1201.html


Note You need to log in before you can comment on or make changes to this bug.